Bug 212366 - xenoprofile uses incorrect mode and eip/rip for AMD-V
xenoprofile uses incorrect mode and eip/rip for AMD-V
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Markus Armbruster
Brian Brock
:
Depends On: 211197
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 11:17 EDT by Markus Armbruster
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 17:08:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2006-10-26 11:17:35 EDT
+++ This bug was initially created as a clone of Bug #211197 +++

Description of problem:
THe mode and eip/rip are not properly updated for HVM guests for AMD-V.  The 
attached patches modify AMD-V specific code, and add a generic xenoprofile 
function for HVM.  These patches have not been pushed up to xen-unstable.hg, 
but will be when the tree reopens after 3.0.3 is released.  

Version-Release number of selected component (if applicable):
All xen versions have this bug.

How reproducible:
run xenoprofile 0.9.2 with additional patch from HP (Renato Santos) to enable 
passive profiling.

Steps to Reproduce:
1. start up hvm guest on AMD-V machine
2. run xenoprofile 0.9.2 w/ passive patch
3. the profiling records will be incorrect (wrong symbol matches)
  
Actual results:


Expected results:


Additional info:

-- Additional comment from thomas.woller@amd.com on 2006-10-17 16:17 EST --
Created an attachment (id=138715)
1/3 patch for 3.0.3 xenoprofile AMD-V mode eip/rip fix.


-- Additional comment from thomas.woller@amd.com on 2006-10-17 16:21 EST --
Created an attachment (id=138717)
2/3 patch for 3.0.3 xenoprofile AMD-V mode eip/rip fix.


-- Additional comment from thomas.woller@amd.com on 2006-10-17 16:22 EST --
Created an attachment (id=138718)
3/3 patch for 3.0.3 xenoprofile AMD-V mode eip/rip fix.


-- Additional comment from bstein@redhat.com on 2006-10-19 13:42 EST --
Please attach the changeset once this is submitted in -unstable.  We will
include this after Beta 2.

-- Additional comment from thomas.woller@amd.com on 2006-10-20 14:34 EST --
the xenoprofile HVM support is now in the xen-unstable tree.
please use changesets 11843 and 11844 from xen-unstable.hg for the latest 
patches.

-- Additional comment from pm-rhel@redhat.com on 2006-10-20 15:04 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.

-- Additional comment from bstein@redhat.com on 2006-10-25 10:46 EST --
Does this patch require the HP xenoprofile patch to be relevant?

-- Additional comment from thomas.woller@amd.com on 2006-10-25 13:15 EST --
just to be clear, the HP patch is only used for the application oprofile, but 
the answer is yes.  basically, to perform passive profiling for HVM guests 
properly you need to have the AMD-V patches from xen-unstable incorporated 
into your hypervisor, and also the oprofile-0.9.2+HP patch for the Dom0 
application level opreport/opcontrol apps.  0.9.3 should be out soon with this 
patch integrated.


-- Additional comment from thomas.woller@amd.com on 2006-10-25 13:16 EST --
just to be clear, the HP patch is only used for the application oprofile, but 
the answer is yes.  basically, to perform passive profiling for HVM guests 
properly you need to have the AMD-V patches from xen-unstable incorporated 
into your hypervisor, and also the oprofile-0.9.2+HP patch for the Dom0 
application level opreport/opcontrol apps.  0.9.3 should be out soon with this 
patch integrated.


-- Additional comment from armbru@redhat.com on 2006-10-26 10:18 EST --
Created an attachment (id=139462)
Upstream version of the patch (xen-unstable.hg changesets 11843 and 11844)
Comment 1 Markus Armbruster 2007-05-24 17:08:50 EDT
Rebase of Xen took care of this bug: versions
kernel-xen-2_6-2_6_19-1_2898_2_2_fc7 and later have the code in attachement 139462.

Note You need to log in before you can comment on or make changes to this bug.